Bug 1654404 - Adding environments/services/ironic-inspector.yaml should enable the "inspector" inspect interface
Summary: Adding environments/services/ironic-inspector.yaml should enable the "inspect...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 14.0 (Rocky)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: z1
: 14.0 (Rocky)
Assignee: Dmitry Tantsur
QA Contact: mlammon
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-28 17:14 UTC by Dmitry Tantsur
Modified: 2019-03-18 13:03 UTC (History)
2 users (show)

Fixed In Version: openstack-tripleo-heat-templates-9.2.1-0.20190119154856.fe11ade.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-18 13:03:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 623201 None None None 2018-12-06 13:02:04 UTC
Red Hat Product Errata RHBA-2019:0446 None None None 2019-03-18 13:03:31 UTC

Description Dmitry Tantsur 2018-11-28 17:14:19 UTC
The "inspector" inspect interface is not enabled by default in Ironic. Enabling ironic-inspector in THT should enable it.

Comment 4 Dmitry Tantsur 2019-03-13 15:58:19 UTC
The easiest way to verify this is to deploy with the provided environment file (without changing IronicEnabledInspectInterfaces anywhere), and check that "inspector" is in the list:

$ openstack baremetal driver show ipmi -c enabled_inspect_interfaces
+----------------------------+-----------------------+
| Field                      | Value                 |
+----------------------------+-----------------------+
| enabled_inspect_interfaces | inspector, no-inspect |
+----------------------------+-----------------------+

Comment 6 mlammon 2019-03-14 13:05:31 UTC
Environment:

Installed latest os14 (undercloud, images,introspect, tagging, prepare overcloud, etc)

1) Check
openstack baremetal driver show ipmi -c enabled_inspect_interfaces
+----------------------------+-----------------------+
| Field                      | Value                 |
+----------------------------+-----------------------+
| enabled_inspect_interfaces | inspector, no-inspect |
+----------------------------+-----------------------+

2) Deploy overcloud success

Comment 7 errata-xmlrpc 2019-03-18 13:03:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0446


Note You need to log in before you can comment on or make changes to this bug.